Bug 133419 - Animation controls: duplicate effect names.
Summary: Animation controls: duplicate effect names.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest trivial
Assignee: Katarina Behrens
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords:
Depends on:
Blocks: Sidebar-Custom-Animation
  Show dependency treegraph
 
Reported: 2020-05-26 17:19 UTC by JBrown
Modified: 2021-04-19 10:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JBrown 2020-05-26 17:19:15 UTC
Description:
Control: Side Bar>Animation>Category:Motion Paths>Effect. The Left and Right effects are in the Basic and Lines and Curves sections.


Steps to Reproduce:
Select the Left or Right effect from the Basic section.

Actual Results:
When you select the Left/Right effect from the Basic section, the cursor jumps to the Lines and Curves section.

Expected Results:
Left/Right effect should be in only one section.


Reproducible: Always


User Profile Reset: No



Additional Info:
Версия: 6.3.2.2
ID сборки: FreeBSD ports 6.3.2_1
Потоков ЦП: 2; ОС:FreeBSD 12.1; Отрисовка ИП: по умолчанию; VCL: gtk2; 
Локаль: ru-RU (ru_RU.UTF-8); Язык интерфейса: ru-RU
Calc: threaded
Comment 1 Buovjaga 2020-09-05 12:45:12 UTC
Confirmed, already in 4.4.7 and 3.3.0 (tested on Win 10).

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: bb64b19e3e8942e610db2d3596d859f7c7864811
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 5 September 2020
Comment 2 Commit Notification 2021-04-15 18:33:22 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d0c7afcce3016759a1371be361ce8b39dfc7fc17

tdf#133419: Put Left and Right motion path effects into single category

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Buovjaga 2021-04-16 09:31:42 UTC
Verified, thanks

Arch Linux 64-bit
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 5348b3946b8f2b9581cdd8b40fa774c2a9d23868
CPU threads: 8; OS: Linux 5.11; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 16 April 2021
Comment 4 Commit Notification 2021-04-19 10:49:09 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/0b9b5849643d9ff42fea3db8156a05d4c6d67cad

tdf#133419: Put Left and Right motion path effects into single category

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.